/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.ftp.client;

import org.eclipse.team.internal.ftp.FTPException;

/**
 * Abstract superclass of FTP diretory entry parsers
 */
public abstract class DirectoryEntryParser {

	/**
	 * Parse the entry line and return the resulting directory entry.
	 * A return value of <code>null</code> indicates that the parse failed.
	 * TODO: Could throw an exception to indicate?
	 * @param line
	 * @return
	 * @throws FTPException
	 */
	public abstract FTPDirectoryEntry parseEntry(String line) throws FTPException;

	public abstract boolean isReliable();
}
