/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.webdav.subscriber;

import org.eclipse.core.runtime.QualifiedName;
import org.eclipse.team.core.variants.ThreeWayRemoteTree;
import org.eclipse.team.core.variants.ThreeWaySynchronizer;
import org.eclipse.team.internal.target.subscriber.TargetSubscriber;
import org.eclipse.team.internal.webdav.core.Policy;
import org.eclipse.team.internal.webdav.core.TeamWebDavPlugin;

public class WebDavSubscriber extends TargetSubscriber {

	public WebDavSubscriber() {
		super(new ThreeWaySynchronizer(new QualifiedName(TeamWebDavPlugin.ID, "workspace-sync"))); //$NON-NLS-1$
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.team.core.subscribers.TeamSubscriber#getDescription()
	 */
	public String getName() {
		return Policy.bind("WebDavSubscriber.0"); //$NON-NLS-1$
	}

	/* (non-Javadoc)
	 * @see org.eclipse.team.internal.core.target.TargetSubscriber#getDeploymentProviderId()
	 */
	protected String getDeploymentProviderId() {
		return TeamWebDavPlugin.DEPLOYMENT_PROVIDER_ID;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.team.core.variants.ThreeWaySubscriber#createRemoteTree()
	 */
	protected ThreeWayRemoteTree createRemoteTree() {
		return new WebDavRemoteResourceVariantTree(this);
	}

}
