/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.webdav.ui.subscriber;

import org.eclipse.jface.viewers.ISelectionProvider;
import org.eclipse.team.core.synchronize.SyncInfoSet;
import org.eclipse.team.internal.target.subscriber.ITargetOperations;
import org.eclipse.team.internal.ui.target.subscriber.GetAction;
import org.eclipse.team.internal.webdav.core.Policy;
import org.eclipse.team.internal.webdav.core.TeamWebDavPlugin;
import org.eclipse.team.ui.synchronize.ISynchronizePageConfiguration;

public class WebDavGetAction extends GetAction {
	
	protected WebDavGetAction(ISynchronizePageConfiguration configuration) {
		super(configuration);
	}

	public WebDavGetAction(ISynchronizePageConfiguration configuration, ISelectionProvider provider, String string) {
		super(configuration, provider, string, Policy.getBundle());
	}

	protected String getJobName(SyncInfoSet syncSet) {
		return Policy.bind("WebDavGetAction.0",  new Integer(syncSet.size()).toString()); //$NON-NLS-1$
	}

	protected ITargetOperations getTargetOperations() {
		return TeamWebDavPlugin.getPlugin().getSubscriber().getTeamOperations();
	}

}
